> ## Documentation Index
> Fetch the complete documentation index at: https://plai-a079b342.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Leadform Audience

> This endpoint allows you to create a custom audience based on users who have interacted with your Facebook Lead Forms. It helps advertisers retarget users who have shown interest by submitting a lead form or engaging with lead ads.

## Request Body

<ParamField body="userId" type="string" required>
  User ID, If not already created, make a user on [create user
  page](/api-reference/endpoint/auth/create_user) first. If already created,
  retrieve the user ID from [get profile
  page](/api-reference/endpoint/auth/get_profile).
</ParamField>

<ParamField body="name" type="string" required>
  Audience Name
</ParamField>

<ParamField body="description" type="string" required>
  Audience description
</ParamField>

<ParamField body="type" type="string" required>
  Type = `open` or `close` or `submit`
</ParamField>

<ParamField body="leadFormIds" type="string[]" required>
  Lead Form Ids
</ParamField>

## Response

<ResponseField name="success" type="boolean">
  Indicates that the HTTP response was successful (status code 200 OK).
</ResponseField>

<ResponseField name="results" type="object">
  <Expandable title="Results Object">
    <ResponseField name="success" type="boolean">
      Indicates whether the specific operation or API action was successful.
    </ResponseField>

    <ResponseField name="audience" type="object">
      <Expandable title="Audience Object">
        <ResponseField name="id" type="string">
          Unique identifier for lookalike audience
        </ResponseField>

        <ResponseField name="name" type="string">
          Name of audience
        </ResponseField>
      </Expandable>
    </ResponseField>

    <ResponseField name="error" type="string">
      Error string if something went wrong
    </ResponseField>
  </Expandable>
</ResponseField>
